#include "CS_JackFaceToBack.h"
const int CS_JackSTATENAME_FACETOBACK = GetNextEntityStateID();
CS_JackFaceToBack::CS_JackFaceToBack()
{
	stateID = CS_JackSTATENAME_FACETOBACK;
}

void CS_JackFaceToBack::State()
{
	auto we = e.lock();
	if (!we)
		return;

	const wchar_t* back = we->lr == 0 ? L"mc_jack_back_l" : L"mc_jack_back_r";
	we->ani.sprite_index = back;
}

void CS_JackFaceToBack::ChangeStateMsg(int stateID)
{
	if (stateID == GetStateID())
		enable = true;
	else
		enable = false;
}
